#ifndef RENDER_TRIANGLE
#define RENDER_TRIANGLE 

#include <fxengine/models/vertex.h>
#include <fxengine/models/bitmap.h>

/* render_triangle()
    renders a face supporting backface culling, or dual textures */
void render_triangle(fe_integer_vertex const s1, fe_integer_vertex const s2, fe_integer_vertex const s3, 
    fe_bitmap const * side_0, fe_bitmap const * side_1);

/* render_triangle_nobfc()
    renders a face without backface culling */
void render_triangle_nobfc(fe_integer_vertex const s1, fe_integer_vertex const s2, fe_integer_vertex const s3, 
    fe_bitmap const * side);



#endif