# FxEngine

FxEngine is an librairie overlay based on gint designed to provide more
game-oriented commands, such as a 3D engine, which is actually in
developement. That library is made for fx9860G calculators.

This project is linked the [1v13d](/Milang/1v13d) project.

## Installation

### Dependencies

A GNU/Linux distibution.

The GCC toolchain for sh3eb-elf architecture. (with binutils of course)

The [gint kernel](/Lephenixnoir/gint), made by lephenixnoir.

The [fxSDK](/Lephenixnoir/fxsdk), designed for gint usage.

You may need [libprof](/Lephenixnoir/libprof) if you want to enable profiling.

### Install the fxengine lib

In a terminal, type the following commands :
```sh
./configure # Use --help option to see possible options

make

make install # you may use sudo if the compiler's folder has restricted rights
```

## Use

All the headers are in the <fxengine/[...]> folder
When you create a new project with the fxsdk, you have to change a line in the project.cfg file :
Just replace
```sh
# Additional linker flags
LDFLAGS =
```
by
```sh
# Additional linker flags
LDFLAGS = -lfxengine -lgint-fx -lprof
```
It simply adds to linker flags the fxengine lib.

### Example :

A locale Doxygen documentation (html) is available in the 'doc' folder, you jest have to open 'index.html'

For specific questions, look at planet-casio.com/Fr/ topics.

## Bug reports

Please create an issue on [fxengine](/Milang/fxengine)
